﻿# https://www.der-windows-papst.de
If ([System.Diagnostics.EventLog]::SourceExists(‘DeleteUserProfiles’) -eq $False) {

New-EventLog -LogName Application -Source ‘DeleteUserProfiles’

}

$UserList = Get-Content -Path '\\windowspapst.de\Netlogon\Deleteprofiles.txt'
foreach ($User in $UserList) {
	try {
		Get-ADUser -Identity $User -ErrorAction Stop | Out-Null
 
		Write-Host "User $User exists in AD and will not be deleted" -ForegroundColor Green
        Write-EventLog –LogName Application –Source “DeleteUserProfiles” -EntryType Information -EventID 0 -Message "User $User exists in AD and will not be deleted"
		continue
	} catch {
        if(-not (Test-Path "C:\Users\$User")){
        Write-Host "The localpath from User $User has already been deleted" -ForegroundColor Cyan
        Write-Output "The localpath from User $User has already been deleted on Server $env:computername" >> '\\windowspapst.de\Netlogon\DeleteprofilesLog.txt'
        Write-EventLog –LogName Application –Source “DeleteUserProfiles” -EntryType Information -EventID 1 -Message "The localpath from User $User has already been deleted on Server $env:computername"
}
else {
		Write-Host "User [$User] does not exist in AD and will be deleted." -ForegroundColor Red
        $Del=Get-WmiObject Win32_UserProfile -filter "localpath='C:\\Users\\$User'"
        $Del.Delete() 
        Write-Output "User [$User] does not exist in AD and will be deleted on Server $env:computername" >> '\\windowspapst.de\Netlogon\DeleteprofilesLog.txt'
        Write-EventLog –LogName Application –Source “DeleteUserProfiles” -EntryType Warning -EventID 2 -Message "User [$User] does not exist in AD and will be deleted on Server $env:computername"
        }
	}
}
